Package com.avaya.clientservices.messaging.enums

## Enum AttachmentStatus

- java.lang.Object
- - java.lang.Enum<AttachmentStatus>
  - - com.avaya.clientservices.messaging.enums.AttachmentStatus

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<AttachmentStatus>`

      public enum AttachmentStatus
      extends java.lang.Enum<AttachmentStatus>

  Represents the message attachment status.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `DOWNLOADING` | Attachment is being downloaded.
    `DRAFT` | The attachment hasn't been sent yet.
    `DRAFT_ERROR` | Failed to send the attachment.
    `DRAFT_REMOVING` | Attachment is being removed from the message.
    `OPENED` | Attachment was already opened by user.
    `READY_TO_CONSUME` | Attachment is ready to consume.
    `READY_TO_DOWNLOAD` | Attachment is ready to be downloaded.
    `SENDING` | The attachment is currently being sent.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static AttachmentStatus` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static AttachmentStatus[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### DRAFT

          public static final AttachmentStatus DRAFT

      The attachment hasn't been sent yet.

    - #### SENDING

          public static final AttachmentStatus SENDING

      The attachment is currently being sent.

    - #### READY_TO_DOWNLOAD

          public static final AttachmentStatus READY_TO_DOWNLOAD

      Attachment is ready to be downloaded.

    - #### DOWNLOADING

          public static final AttachmentStatus DOWNLOADING

      Attachment is being downloaded.

    - #### READY_TO_CONSUME

          public static final AttachmentStatus READY_TO_CONSUME

      Attachment is ready to consume.

    - #### OPENED

          public static final AttachmentStatus OPENED

      Attachment was already opened by user.

    - #### DRAFT_ERROR

          public static final AttachmentStatus DRAFT_ERROR

      Failed to send the attachment. The messaging limits for attachments may have been exceeded.

    - #### DRAFT_REMOVING

          public static final AttachmentStatus DRAFT_REMOVING

      Attachment is being removed from the message.

  - ### Method Detail

    - #### values

          public static AttachmentStatus[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (AttachmentStatus c : AttachmentStatus.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static AttachmentStatus valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null